Bug 1007705 - Installer: Logging change won't affect standalone full, ha and full-ha profiles
Installer: Logging change won't affect standalone full, ha and full-ha profiles
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER3
: EAP 6.2.0
Assigned To: Thomas Hauser
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 03:36 EDT by Petr Kremensky
Modified: 2017-10-09 20:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:23:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-13 03:36:09 EDT
Log level change during installation will affect only standalone.xml and domain.xml. Other standalone profiles (standalone-full.xml, standalone-ha.xml and standalone-full-ha.xml) are left with out-of-box logging configuration.

There is also periodic-rotating-file-handler in out-of-box logging configuration, it would be nice to have chance to configure also this one.

Version-Release number of selected component (if applicable):
EAP 6.2.0.ER1

Additional info:
This is a new feature in EAP 6.2.0
Comment 1 Thomas Hauser 2013-09-13 09:42:57 EDT
Hello Petr,

The other files will have their logging settings changed as well.

About the rotating log, Let's see how easy adding the config for this is. Which config options should we offer up for configuration? I see this: 
<periodic-rotating-file-handler name="FILE" autoflush="true">
 <formatter>
  <pattern-formatter pattern="%d{HH:mm:ss,SSS} %-5p [%c] (%t) %s%E%n"/>
 </formatter>
 <file relative-to="jboss.server.log.dir" path="server.log"/>
 <suffix value=".yyyy-MM-dd"/>
 <append value="true"/>
</periodic-rotating-file-handler>

but we'd need to define which of these values are good to offer up for configuration. The pattern-formatter element, for example, seems like it would require a lot of new validation work for any custom value. 

Thanks,
Tom
Comment 2 Petr Kremensky 2013-09-13 09:58:36 EDT
Hi Tom,
yes I agree with you on this. 

I also looked to config file and periodic-rotating handler uses the default logging level (ALL) and once default option is used, it is, in most of cases, not reflected to xml file. 

I guess we can go on with configuration of root logger and console logger only.

Petr
Comment 3 Thomas Hauser 2013-09-13 14:06:10 EDT
How about standalone-osgi.xml?
Comment 4 Petr Kremensky 2013-09-13 14:39:01 EDT
AFAIK this one is not supported anymore. I will get more info on this and let you know next week.
Comment 5 Thomas Hauser 2013-09-13 14:49:14 EDT
Fix applied in branch with commitid 27d1869a24eb257693d9df589b71b1465ac3803a. 

If we want standalone-osgi.xml to be modified as well that can be added with minimal effort.
Comment 6 Petr Kremensky 2013-09-16 02:12:03 EDT
It's OK to go on without OSGI.
Comment 7 Petr Kremensky 2013-09-30 03:19:02 EDT
Please move all BZs ready for verification to ON_QA once the target milestone was released, thanks. 

Verified on EAP 6.2.0.ER3

Note You need to log in before you can comment on or make changes to this bug.